Package com.xebialabs.xlrelease.domain.runner

## Class JobRunnerOps$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.runner.JobRunnerOps$

- All Implemented Interfaces:
    `JobRunnerOps`

      public class JobRunnerOps$
      extends java.lang.Object
      implements JobRunnerOps

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static JobRunnerOps$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobRunnerOps$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abortJob​(JobRunner runner, long jobId)` |
    `boolean` | `accepts​(JobRunner runner)` |
    `JobRunnerOps` | `apply​(java.util.Set<JobRunnerOps> jobRunnerOps)` |
    `void` | `delete​(JobRunner runner)` |
    `java.lang.String` | `execute​(JobRunner runner, RemoteExecution remoteExecution)` |
    `void` | `start​(JobRunner runner)` |
    `void` | `stop​(JobRunner runner)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final JobRunnerOps$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### JobRunnerOps$

          public JobRunnerOps$()

  - ### Method Detail

    - #### apply

          public JobRunnerOps apply​(java.util.Set<JobRunnerOps> jobRunnerOps)

    - #### start

          public void start​(JobRunner runner)

      Specified by:
        `start` in interface `JobRunnerOps`

    - #### stop

          public void stop​(JobRunner runner)

      Specified by:
        `stop` in interface `JobRunnerOps`

    - #### delete

          public void delete​(JobRunner runner)

      Specified by:
        `delete` in interface `JobRunnerOps`

    - #### abortJob

          public void abortJob​(JobRunner runner,
                               long jobId)

      Specified by:
        `abortJob` in interface `JobRunnerOps`

    - #### accepts

          public boolean accepts​(JobRunner runner)

      Specified by:
        `accepts` in interface `JobRunnerOps`

    - #### execute

          public java.lang.String execute​(JobRunner runner,
                                          RemoteExecution remoteExecution)

      Specified by:
        `execute` in interface `JobRunnerOps`